function a = dat_vehicles()


a1 = extract_file('xaa.dat');
a2 = extract_file('xab.dat');
a3 = extract_file('xac.dat');
a4 = extract_file('xad.dat');
a5 = extract_file('xae.dat');
a6 = extract_file('xaf.dat');
a7 = extract_file('xag.dat');
a8 = extract_file('xah.dat');
a9 = extract_file('xai.dat');

total = [a1;a2;a3;a4;a5;a6;a7;a8;a9];

saab = seldat(total,'saab');
bus = seldat(total,'bus');
a = [saab;bus];

end